function x = synthMDFT(y,H)

%function x = synthMDFT(y,H)
%Filter bank recomposition
%INPUT:
%   y : image to recompose
%   H : Synthesis filter bank
%OUTPUT:
%   x : Recomposed image

%*****************************************************
%* author: Jean-Christophe Pesquet                   *
%* institution: Institut Gaspard Monge - CNRS	     *
%*	       Universit de Marne la Valle             *
%* date: Thursday, October, 6th                      *
%*****************************************************

M = size(H,1);
uM = ones(1,M);
x = kron(uM,y);
x = x.*H;
x = sum(x);
