function  [wpd,wmd]=DenoiseMbandDTT_multispectral_geneSP(wp,wm,thr,filters,gamma)


J=length(wp{1});
Ml=length(wp{1}{1});
Mc=length(wp{1}{1}{1});
N=Ml*size(wp{1}{1}{2}{2},1);

%nombre de canaux
NC=length(wp);

%on load la matrice gamma n tilde n
tit=['corB',int2str(NC),filters,'.mat'];
load(tit);



for j=1:J,
    %j
    for ml=1:length(wp{1}{j}),
        %ml
        for mc=1:length(wp{1}{j}{ml}),
            %j
            [j,ml, mc]
            for n=1:NC,
                coefp{n}=wp{n}{j}{ml}{mc};
                coefm{n}=wm{n}{j}{ml}{mc};
                gammantildep{n}=gamma(n,n)*corpDTT{n}{j}{ml}{mc};
                gammantildem{n}=gamma(n,n)*cormDTT{n}{j}{ml}{mc};
            end
            switch thr
                case 'globmulticorrel_QiterSPsub2plus'
                    if  j==J & ml==1 & mc==1,
                        %input('approx')
                        for n=1:NC,
                            wpd{n}{j}{ml}{mc}=coefp{n};
                            wmd{n}{j}{ml}{mc}=coefm{n};
                        end
                    elseif ml==1 & mc==1,
                        %input('redecomp')
                        for n=1:NC,
                            wpd{n}{j}{ml}{mc}=coefp{n};
                            wmd{n}{j}{ml}{mc}=coefm{n};
                        end

                    elseif ml~=1 & mc~=1
                        disp('rot');
                        for a=1:NC,
                            for b=1:NC,
                                if a==b
                                    wvmm{a}{b}=[1,1,1;1,1,1;1,1,1];
                                    wvmp{a}{b}=[0,0,0;0,0,0;0,0,0];
                                    wvpp{a}{b}=[1,1,1;1,1,1;1,1,1];
                                    wvpm{a}{b}=[0,0,0;0,0,0;0,0,0];
                                else
                                    wvmm{a}{b}=[0,0,0;0,1,0;0,0,0];
                                    wvmp{a}{b}=[0,0,0;0,0,0;0,0,0];
                                    wvpp{a}{b}=[0,0,0;0,1,0;0,0,0];
                                    wvpm{a}{b}=[0,0,0;0,0,0;0,0,0];
                                end
                            end
                        end
                        [wtempp,wtempm]=estim_geneSP_DTTsub_plus(coefp,coefm,wvpp,wvpm,wvmm,wvmp,N,gamma,gammantildep,gammantildem);
                        for n=1:NC,
                            wpd{n}{j}{ml}{mc}=wtempp{n};
                            wmd{n}{j}{ml}{mc}=wtempm{n};
                        end

                    else
                        disp('nonrot');
                        for a=1:NC,
                            for b=1:NC,
                                if a==b
                                    wvmm{a}{b}=[1,1,1;1,1,1;1,1,1];
                                    wvmp{a}{b}=[0,0,0;0,1,0;0,0,0];
                                    wvpp{a}{b}=[1,1,1;1,1,1;1,1,1];
                                    wvpm{a}{b}=[0,0,0;0,1,0;0,0,0];
                                else
                                    wvmm{a}{b}=[0,0,0;0,1,0;0,0,0];
                                    wvmp{a}{b}=[0,0,0;0,1,0;0,0,0];
                                    wvpp{a}{b}=[0,0,0;0,1,0;0,0,0];
                                    wvpm{a}{b}=[0,0,0;0,1,0;0,0,0];
                                end
                            end
                        end
                        [wtempp,wtempm]=estim_geneSP_DTTsub_plus(coefp,coefm,wvpp,wvpm,wvmm,wvmp,N,gamma,gammantildep,gammantildem);
                        for n=1:NC,
                            wpd{n}{j}{ml}{mc}=wtempp{n};
                            wmd{n}{j}{ml}{mc}=wtempm{n};
                        end
                    end
            end
        end
    end
end

