function [xbruitee,gammab]=bruitee_image(x,ro,sigma,init)

randn('seed',init);

B=length(x);

for n1=1:B,
    for n2=1:B,
        if n1==n2,
            gammab(n1,n2)=sigma{n1}*sigma{n2};
        else gammab(n1,n2)=sigma{n1}*sigma{n2}*ro{n1}{n2};
        end
    end
end

mu=zeros(B,1);
bruit=mvnrnd(mu,gammab,prod(size(x{1})));

count=1;

for m=1:size(x{1},1)
    for n=1:size(x{1},2)
        for b=1:B
            xbruitee{b}(m,n)=x{b}(m,n)+bruit(count,b);
        end
        count=count+1;
    end
end
